Subject: Advanced Pine & PGP integration.

From: Simon Benn <[email-masked]>
Date: Thu, 21 Nov 1996 14:39:41 GMT

-----BEGIN PGP SIGNED MESSAGE-----

Hi,

I am using pine 3.9x as a very good mailer. I also am using a couple of
shell scripts to integrate with pgp using display and send filters. the
result is dead easy to use for someone who encrypts things occasionally
and signs them more often.

Having checked the several sites I could not find any scripts that use the
display filter process to do key managmenent, or any send filters that can
manage remailers (harder, I know). 

If soemone has such scripts, or can point me to such then I would be very
grateful. Ideally they should have the following features.
	On coming across a public key in a message it would add it
 (unverified, naturally) to your public key ring.
	On coming across a signed message for which you don't have the
public key for it should look up a key server and verify the signature.
        
If I get the time (studies permitting) I could write these but then I am a
novice script writer.

Regards,

Simon.

+================================================================+
| Simon Benn, University of Edinburgh.             | Support __  |
| E-mail: [email-masked]; [email-masked];   |   Free //\\ | 
|     [email-masked]; [email-masked];    | Speech \\// |
| Home Page: http://www.dcs.ed.ac.uk/~skb/         | Online!//\\ | 
|      'Paranoid people live longer'               |       {/  \}|
+================================================================+